// out: main.css, sourcemap: false, compress: false

@import "reset.css";
@import "fonts.less";
@import "variables.less";

*,
*:before,
*:after {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
}

body{
  font-size: @fontsize;
}

h1,
h2,
h3,
h4,
h5,
em,
strong,
cite{
  font-weight: normal;
  font-style: normal;
}

small{
  font-variant: small-caps;
}

section{
  width: 100%;
  transform-origin: 0 0;
}
.bleed .page{
  .header{
    font-size: @fontsize*1.5;
    text-align: left;
    position: relative;
    width: @pageW - (@unitW * 4);
    margin-top:-@unitH*.5;
    font-family: @fontFuturam;
    .artist{
      font-size: @fontsize * 2;
      font-weight: normal;
    }
    .country{
      font-size: @fontsize;
      font-weight: normal !important;
      span{
        font-weight: normal !important;
      }
    }
    .title{
      margin-top: @unitH * .5;
      font-size: @fontsize * 2.5;
      line-height: @fontsize * 2.75;
      text-align: center;
      transform: skewX(20deg);
      text-transform: uppercase;
      letter-spacing: 0.1em;
      font-weight: normal;
    }
    .subtitle{
      font-size: @fontsize;
      text-align: center;
      margin-top: @unitH/3;
      font-weight: normal;
    }
  }
  .text,
  .infos{
    width: @pageW - (@unitW * 4);
    display: flex;
    position: relative;
    transform-origin: 0 0;
    line-height: @fontsize * 1.25;
    font-size: @fontsize * .9;
  }
  .text{
    position: absolute;
    top: @unitH * 6;
    .columnFr,
    .columnEn{
      width: @unitW * 15;
      position: relative;
    }
    .columnFr{
      font-family: @fontFutural;
    }
    .columnEn{
      font-family: @fontTimesb;
      margin-left: @unitW;
    }
  }
  .infos{
    position: absolute;
    bottom: @unitH * 1.5;
    .bioFr,
    .bioEn{
      width: 50%;
      font-family: @fontFuturalMono;
    }
    .bioFr{
      margin-right: @unitW * .5;
    }
    .bioEn{
      margin-left: @unitW * .5;
    }
  }
  img{
    width: 100%;
    margin-bottom: @unitH;
  }

  .pagination{
    position: absolute;
    bottom: @unitH/2;
    font-family: @fontFutural;
    font-size: @fontsize / 1.2;
  }
}

.template_simple{
  h1{
    font-size: @fontsize * 2.25;
    text-align: center;
    margin-bottom: @unitH * 1.75;
  }
  .textSimple{
    margin-bottom: @unitH;
    font-family: @fontFutural;
    font-size: @fontsize * 1.5;
  }
  .textEn{
    margin-left: @unitW;
  }
}

.template_textOnly_flowing{
  .textSimple{
    font-family: @fontFuturam;
    font-size: @fontsize * 1.25;
    line-height: @fontsize * 1.5;
    height: @unitH * 5;
  }
  .notes{
    font-family: @fontFuturalMono;
    position: absolute;
    bottom: @unitH;
    margin-left: @unitW;
    width: @pageW - (@unitW * 3);
    p{
      text-indent: -(@unitW * .5);
    }
  }
}
